## net.i2p.router.tunnel
Class BuildMessageTest

    java.lang.Object
      net.i2p.router.tunnel.BuildMessageTest

    public class BuildMessageTest

extends java.lang.Object

Simple test to create an encrypted TunnelBuildMessage, decrypt its layers (as it would be during transmission), inject replies, then handle the TunnelBuildReplyMessage (unwrapping the reply encryption and reading the replies).

Constructor Summary
`BuildMessageTest()`

Method Summary
`static void` `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BuildMessageTest

    public BuildMessageTest()

Method Detail

### main

    public static void main(java.lang.String[] args)